#include <iostream>
using namespace std;
int main()
{
    int n,m;cin>>n>>m;int suma=0,matrica[n][m],yy=0,y1=0;

    for(int j=0;j<m;j++){
        int f;
        cin>>f;
        matrica[0][j]=f;
    }
    for(int j=0;j<m-1;j++){
        int f;
        cin>>f;
        matrica[1][j]=f;
        yy+=f;
        y1+=(f*(m-1-j));
    }
    int f;cin>>f;matrica[1][m-1]=f;

    yy-=matrica[1][m-1];
    if(n==2){
        for(int i=0;i<m-2;i++){
            suma+=matrica[0][m-i-1];
        }
        suma+=min(matrica[1][0],matrica[0][1]);
        cout<<suma;
    }
}